"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = servebanado;

var _http = _interopRequireDefault(require("http"));

var _requestHandler = _interopRequireDefault(require("./request-handler"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/**
 * Serve Karo
 *
 * Static web server
 *
 * Author:  Anshul Kharbanda
 * Created: 4 - 24 - 2017
 */

/**
 * Creates an http server from the given config
 *
 * @param {object} config servekaro config
 *
 * @return {Server} http server
 */
function servebanado(config) {
  return _http["default"].createServer((0, _requestHandler["default"])(config));
}
